document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_17000
--- +++ @@ -4,5 +4,9 @@ dot -Tpng pushpull.dot > build/pushpull.png -pandoc -s event-data-manual.md --toc -o build/event-data-manual.$DATE.pdf -pandoc -s event-data-manual.md --toc -o build/event-data-manual.$DATE.html +rm build/event-data-manual.pdf + +pandoc -s event-data-manual.md --toc -o build/event-data-m...
bash
d_bash_17001
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash # Check only Vega file for now as Travis is having problem when generating SVG -if ! git diff --word-diff=color --exit-code HEAD -- ./examples/compiled/*.vg.json +if ! git diff --word-diff=color --exit-code HEAD -- ./examples/compiled/*.vg.json ./examples/specs/normaliz...
bash
d_bash_17002
--- +++ @@ -11,7 +11,7 @@ $(proxy) dnf group install -y --best 'development tools' dnf install -y --best \ - emacs make tmux tree mc htop iotop zsh \ + emacs-nox make tmux tree mc htop iotop zsh \ unzip bsdtar sudo xz tar p7zip \ ...
bash
d_bash_17003
--- +++ @@ -20,7 +20,6 @@ shopt -s dotglob && git rm -rf --ignore-unmatch * git checkout master www/ mv www/* ./ -read k rm -rf www git checkout master scss git add -A
bash
d_bash_17004
--- +++ @@ -10,4 +10,4 @@ echo "=== Configuring RabbitMQ For Server" -cp /vagrant/vagrant/ubuntu-virtualbox/rabbitmq.json /vagrant/server/config/default.json +#cp /vagrant/vagrant/ubuntu-virtualbox/rabbitmq.json /vagrant/server/config/default.json
bash
d_bash_17005
--- +++ @@ -1,20 +1,38 @@ #!/bin/bash -ln -s ~/dotfiles/.bashrc ~/.bashrc -ln -s ~/dotfiles/.gitconfig ~/.gitconfig -ln -s ~/dotfiles/.gitexcludes ~/.gitexcludes -ln -s ~/dotfiles/.gvimrc ~/.gvimrc -ln -s ~/dotfiles/.hgrc ~/.hgrc -ln -s ~/dotfiles/.tmux.conf ~/.tmux.conf -ln -s ~/dotfiles/.vim ~/.vim -ln -s ~/dotf...
bash
d_bash_17006
--- +++ @@ -3,9 +3,9 @@ BUILD_OSNAME="ubuntu" BUILD_OSTYPE="Ubuntu_64" -# last 'LTS' version -BOX="ubuntu-14.04-amd64" -ISO_URL="http://old-releases.ubuntu.com/releases/14.04.0/ubuntu-14.04-server-amd64.iso" -ISO_MD5="01545fa976c8367b4f0d59169ac4866c" +# last 'non LTS' version +BOX="ubuntu-14.10-amd64" +ISO_URL="...
bash
d_bash_17007
--- +++ @@ -7,7 +7,7 @@ echo "$AWS_SSH_PRIVATE_KEY" > $terraform_dir/key.pem -cat > $terraform_dir/lattice.tfvars <<EOF +cat > $terraform_dir/terraform.tfvars <<EOF username = "user" password = "pass"
bash
d_bash_17008
--- +++ @@ -1,9 +1,5 @@ #!/usr/bin/env bash -# Settings - - -# Wallpaper change code DISPLAY=:0 PID=$(pgrep gnome-session) export DBUS_SESSION_BUS_ADDRESS=$(grep -z DBUS_SESSION_BUS_ADDRESS /proc/$PID/environ|cut -d= -f2-)
bash
d_bash_17009
--- +++ @@ -11,7 +11,6 @@ recipe-client-addon recipe-server mock-recipe-server - functional_tests lints compose eslint-config-normandy
bash
d_bash_17010
--- +++ @@ -12,7 +12,11 @@ *) test -f re2/obj/libre2.a && exit 0 - RE2_REV=2016-03-01 + if [ "x$RE2_MASTER" != "x" ]; then + RE2_REV=master + else + RE2_REV=2016-03-01 + fi (test -d re2 || git clone https://code.googlesource.com/re2 && cd re2 &&
bash
d_bash_17011
--- +++ @@ -1,19 +1,25 @@ -if [[ ! -o interactive ]]; then - return -fi +_hr_commands() { + local cmds + local -a commands + cmds="$(hr commands)" + commands=(${(ps:\n:)cmds}) + _wanted command expl "hr command" compadd -a commands +} -compctl -K _hr hr +_hr_subcommands() { + local cmd subcmds + local -a ...
bash
d_bash_17012
--- +++ @@ -6,4 +6,8 @@ /usr/bin/vagrant package --base debian-6-amd64 --output debian-6-amd64.box s3cmd put debian-6-amd64.box s3://s3.cargomedia.ch/vagrant-boxes/ +veewee vbox build --force debian-6-amd64-plain +/usr/bin/vagrant package --base debian-6-amd64-plain --output debian-6-amd64-plain.box +s3cmd put de...
bash
d_bash_17013
--- +++ @@ -22,6 +22,5 @@ $MALINE/lib/apktool/apktool d $1 $TMP_DIR 1>/dev/null 2>/dev/null filename=$TMP_DIR/AndroidManifest.xml package=$(grep -e "package" $filename | grep -o -P '(?<=package=").*(?=\")') -#rm -rf $TMP_DIR -rm -rf $HOME/apktool +rm -rf $TMP_DIR echo $package
bash
d_bash_17014
--- +++ @@ -4,7 +4,7 @@ DIST_DIR=dist BUILD_DIR=build OPENMV_DIR=openmv -PACKAGE=openmv.tar.gz +PACKAGE=$(echo openmv_`uname -s`_`uname -m`.tar.gz | tr '[:upper:]' '[:lower:]') SPEC_FILE=openmv-ide.spec rm -fr $DIST_DIR $BUILD_DIR $PACKAGE
bash
d_bash_17015
--- +++ @@ -5,7 +5,12 @@ zle -N zle-line-init zle -N zle-keymap-select +#changing mode clobbers the keybinds, so store the keybinds before and execute +#them after +binds=`bindkey -L` bindkey -v +for bind in ${(@f)binds}; do eval $bind; done +unset binds # if mode indicator wasn't setup by theme, define defa...
bash
d_bash_17016
--- +++ @@ -15,7 +15,7 @@ libreadline-gplv2-dev libtinfo-dev imagemagick tklib \ libmagickwand-dev oracle-java7-installer libxml2 libxml2-dev \ libxslt1-dev -y -su - vagrant -c 'curl https://raw.github.com/fesplugas/rbenv-installer/master/bin/rbenv-installer | bash' ...
bash
d_bash_17017
--- +++ @@ -17,9 +17,3 @@ # Setup environment to build knc. export CHPL_TARGET_COMPILER=intel export CHPL_TARGET_ARCH=knc - -# Explicitly disable features that do not work. -export CHPL_REGEXP=none - -# Build bundled gmp. System gmp is not supported. -export CHPL_GMP=gmp
bash
d_bash_17018
--- +++ @@ -18,18 +18,18 @@ mkdir -p /home/data/private chown www-data: /home/data/private -chmod g=S /home/data/private +chmod g+s /home/data/private mkdir -p /home/data/shared chown www-data: /home/data/shared -chmod g=S /home/data/shared +chmod g+s /home/data/shared mkdir -p /home/data/common chown www...
bash
d_bash_17019
--- +++ @@ -5,8 +5,8 @@ npm run clean npm run build -npm test || npm test -npm run test:coverage || npm test:coverage +npm test || npm test || npm test +npm run test:coverage || npm run test:coverage || npm run test:coverage export PATH="$HOME/miniconda/bin:$PATH" npm run test:integration || npm run test:integr...
bash
d_bash_17020
--- +++ @@ -5,7 +5,7 @@ SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" REPO_DIR=$(dirname "$SCRIPT_DIR") OUT_DIR="${SCRIPT_DIR}/out" -IMAGE='registry.spin.nersc.gov/metatlas_test/metatlas_ci01:v1.2.0' +IMAGE='registry.spin.nersc.gov/metatlas_test/metatlas_ci01:v1.3.0' PORT=8888 ...
bash
d_bash_17021
--- +++ @@ -30,12 +30,12 @@ -Dgpg.passphrase="" \ -DaltDeploymentRepository="staging::default::file://$PWD/staging" -git init --bare staging.git - git tag -u "$GPG_KEYNAME" -m "Jumi $RELEASE_VERSION" -m "$CHANGELOG" "$TAG" "$GO_REVISION_SOURCES" -git push staging.git "$TAG" ruby scripts/bump-release-c...
bash
d_bash_17022
--- +++ @@ -16,9 +16,9 @@ fi # export grep settings -export GREP_OPTIONS="$GREP_OPTIONS" -export GREP_COLOR='1;32' +alias grep="grep $GREP_OPTIONS" # clean up +unset GREP_OPTIONS unset VCS_FOLDERS unfunction grep-flag-available
bash
d_bash_17023
--- +++ @@ -2,7 +2,6 @@ # These were only needed for building VMware/Virtualbox extensions: yum -y remove gcc cpp kernel-devel kernel-headers perl -yum -y update yum -y clean all rm -rf VBoxGuestAdditions_*.iso VBoxGuestAdditions_*.iso.? rm -f /tmp/chef*rpm
bash
d_bash_17024
--- +++ @@ -23,3 +23,4 @@ shopt -s globstar curl https://nixos.org/nix/install | sh mkdir ~/.vim/undodir +curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
bash
d_bash_17025
--- +++ @@ -24,9 +24,7 @@ for distribution in ${DISTRIBUTIONS}; do for dir in ${DESTINATION}${distribution}/*/*; do - # "--checksum sha" is for CentOS 5. If we drop CentOS 5 support, - # we can remove the option. - test -d $dir && run createrepo --checksum sha $dir + test -d $dir && run createrepo $dir d...
bash
d_bash_17026
--- +++ @@ -11,5 +11,5 @@ aws s3 cp s3://${CONFIG_BUCKET}/new-fields.yaml /srv/presentation --region eu-west-1 docker run --name=presentationApp -d -p 80:8080 --volume /srv/presentation:/srv/presentation \ - jstepien/openjdk8 java -Dfile.encoding=utf-8 -DregistersYaml=/srv/presentation/new-registers.yaml -Dfie...
bash
d_bash_17027
--- +++ @@ -4,14 +4,18 @@ # If consul doesn't resolve it for us, fallback to something constructed if ! host $PROXY >/dev/null 2>&1; then - echo "Using fall-back proxy" >&2 - REGION=$(nubis-region) NUBIS_ARENA=$(nubis-metadata NUBIS_ARENA) NUBIS_ACCOUNT=$(nubis-metadata NUBIS_ACCOUNT) - NUBIS_DOMAIN=$(...
bash
d_bash_17028
--- +++ @@ -1,5 +1,10 @@ #!/usr/bin/env bash cd $(dirname $0) -cd ../Resources -../MacOS/hmsl +# build name of executable inside the application package +export HMSLEXEC=`pwd`/hmsl +# cd above app package so that HMSL can read pforth.dic and other files. +cd ../../../ +# run HMSL +$HMSLEXEC +
bash
d_bash_17029
--- +++ @@ -9,8 +9,9 @@ # Grab ninja git clone https://github.com/martine/ninja (cd ninja && ./bootstrap.py) -cp ninja/ninja ninja -export PATH=$PATH:`pwd` +mkdir bin +cp ninja/ninja bin/ninja +export PATH=$PATH:`pwd`/bin cd ninja echo Run Ninja
bash
d_bash_17030
--- +++ @@ -7,6 +7,9 @@ /bin/echo "Docker image exported" /bin/gzip -1 /tmp/spa.tar /bin/echo "Exported image now compressed" + +#Store the image in an s3 bucket for the BSVE deployment scripts +aws s3 cp /tmp/spa.tar.gz s3://bsve-integration/spa.tar.gz #Useful alias/function export ssh_command="/usr/bin/ssh ...
bash
d_bash_17031
--- +++ @@ -1,2 +1,2 @@ #!/bin/bash -docker run --rm -v $PWD:/opt/fuchu -w /opt/fuchu mono:3.12 bash -c 'apt-get install ca-certificates && ./build.sh' +docker run --rm -v $PWD:/opt/fuchu -w /opt/fuchu mono:4 bash -c 'apt-get install ca-certificates && ./build.sh'
bash
d_bash_17032
--- +++ @@ -22,10 +22,11 @@ CMAKE_BIN=${CMAKE_BIN:-$(which cmake)} "$CMAKE_BIN" --version +ninja --version cd ${ROOT_DIR?} rm -rf build/ mkdir build && cd build -"$CMAKE_BIN" -DCMAKE_BUILD_TYPE=FastBuild -DIREE_BUILD_COMPILER=ON -DIREE_BUILD_TESTS=ON -DIREE_BUILD_SAMPLES=OFF -DIREE_BUILD_DEBUGGER=OFF .. +"$C...
bash
d_bash_17033
--- +++ @@ -35,7 +35,7 @@ cd $TEMPDIR -(tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tar.gz) || exit $? +(tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) || exit $? cd $MYDIR rm -r $TEMPDIR || exit $?
bash
d_bash_17034
--- +++ @@ -4,7 +4,7 @@ SPRING_VERSION="${SPRING_MAJOR_VERSION}" SPRING_FOLDER="spring-test" -SUT_VERSION=$2 +SUT_VERSION=${GO_PIPELINE_LABEL} echo "Testing against: " echo " Spring version: ${SPRING_VERSION}"
bash
d_bash_17035
--- +++ @@ -4,7 +4,7 @@ test -x /etc/network/if-pre-up.d/wpa-supplicant && /etc/network/if-pre-up.d/wpa-supplicant stop -if [ grep ${wifi_module} ${wifi_modprobe_loaded_path} ]; then +f [ -f /data/.shadow/.etc/wpa_supplicant.conf ] && grep -q ${wifi_module} ${wifi_modprobe_loaded_path}; then if [ $(lsmod | ...
bash
d_bash_17036
--- +++ @@ -2,9 +2,9 @@ include string.util.StringUtil LoggerUtil(){ - local time=$(BaseUtil timestamp log) + getLogMsg(){ + local time=$(BaseUtil timestamp log) - getLogMsg(){ echo "[${time}] [ $(StringUtil toUpperCase ${1}) ] $(StringUtil replace $(StringUtil capitalize ${2}) - space)" }
bash
d_bash_17037
--- +++ @@ -16,9 +16,19 @@ STAT_FILES+=($FILE) done -awk '{ - if ( ( $2 > 0 ) && ( $0 ~ /^(entries\:|overrun\:)/ ) ) - { - printf "%s: %s\n", FILENAME, $0 - } - }' ${STAT_FILES[@]} +awk 'BEGIN { time = 0; entries = 0; overrun = 0 } + { + if ( $0 ~ /^entries\:/ ) + ...
bash
d_bash_17038
--- +++ @@ -20,7 +20,7 @@ #tmux new-session -d "/fuzz/tmpfs/fuzz_slave.sh $n" screen -S slave$n -d -m /fuzz/tmpfs/fuzz_slave.sh $n echo "[*] Slave $n started" - sleep 0.1 + sleep 0.5 fi done
bash
d_bash_17039
--- +++ @@ -5,7 +5,7 @@ set -e ROOT=`cd "$(dirname $0)/.." ; pwd` -cd $ROOT/ui/imagej +cd $ROOT/ui/ij-app mvn package dependency:copy-dependencies mkdir -p src/main/assembly/all/META-INF/annotations java -cp 'target/test-classes:target/classes:target/dependency/*' \
bash
d_bash_17040
--- +++ @@ -23,5 +23,5 @@ scp -q package.tar.gz rtfb@rtfb.lt:/home/rtfb/package.tar.gz rm ./package.tar.gz ssh rtfb@rtfb.lt /home/rtfb/unpack.sh -ssh rtfb@rtfb.lt "cd /home/rtfb/package; ./goose -env=production up" +#ssh rtfb@rtfb.lt "cd /home/rtfb/package; ./goose -env=production up" ssh rtfb@rtfb.lt "cd /home/r...
bash
d_bash_17041
--- +++ @@ -38,3 +38,38 @@ echo "SHA1 hash of 0: $my_hash" echo "Length: ${#my_hash}" +# more shell things +DATE=$(date) +echo "Hi this is the date $DATE" + +# loops +for i in $(seq 5); +do + echo $i +done + +COUNTER=0 +while [ $COUNTER -lt 5 ]; do + echo "The counter is at $COUNTER" + let COUNTER=COUNTER+1 +d...
bash
d_bash_17042
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash -e + if [ $CC = "clang" ]; then export PATH="/usr/bin/:$PATH" @@ -9,6 +10,7 @@ sudo apt-get install clang fi +sudo apt-get update sudo apt-get install cmake libgd2-noxpm-dev libsqlite3-dev \ p7zip-full
bash
d_bash_17043
--- +++ @@ -15,7 +15,7 @@ echo "fatal: CHANGELOG missing" >&2 exit 128 fi -if [ ! -z "$(git status)" ]; then +if [ ! -z "$(git status --short)" ]; then # Sanity check echo "fatal: dirty repository" >&2 exit 128
bash
d_bash_17044
--- +++ @@ -27,6 +27,7 @@ echo "Installing ckanext-s3filestore and its requirements..." python setup.py develop +pip install -r requirements.txt pip install -r dev-requirements.txt echo "Moving test.ini into a subdir..."
bash
d_bash_17045
--- +++ @@ -10,7 +10,6 @@ # - prefer checksums to compare sync rather than timestamps # - delete items on destination that don't exist on source rsync -rtvz \ - -e 'ssh -i /tmp/deploy_rsa' \ --checksum \ --delete \ _site/ \
bash
d_bash_17046
--- +++ @@ -13,7 +13,7 @@ alias clear-quarantine="find . -xattrname com.apple.quarantine -exec xattr -d com.apple.quarantine \{\} \;" -prepend-path /usr/local/sbin -prepend-path /usr/local/bin -prepend-path /usr/sbin -prepend-path /sbin +append-path /usr/local/sbin +append-path /usr/local/bin +append-path /usr/s...
bash
d_bash_17047
--- +++ @@ -1,25 +1,25 @@ #!/bin/sh cd ./debian version=`cat ../VERSION` -mkdir origami-smtp_v$version -mkdir origami-smtp_v$version/DEBIAN -mkdir -p origami-smtp_v$version/etc/menu -mkdir -p origami-smtp_v$version/usr/bin -mkdir -p origami-smtp_v$version/etc/ssl/certs -mkdir -p origami-smtp_v$version/usr/share/ap...
bash
d_bash_17048
--- +++ @@ -1,6 +1,8 @@ #!/usr/bin/env bash __usage() { echo "Usage: ${0}:"; echo " ${0} <all|project [project] ...>"; exit 1; }; + +vagrant destroy -f if [[ ${LOOM_BUILD_PROJECTS} ]]; then echo "Building ${LOOM_BUILD_PROJECTS}"
bash
d_bash_17049
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jdk_x64_linux_hotspot_8u312b07.tar.gz" + echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u322-b06/OpenJDK8U-jdk_x64_linux_hotspot_8u322b06.tar.g...
bash
d_bash_17050
--- +++ @@ -1,10 +1,10 @@ #!/bin/bash -VERSION=${1:-"1.9.3.2"} +VERSION=${1:-"1.9.7.2"} PKG=ngx_openresty-$VERSION apt-get update -apt-get install -y libpcre3-dev build-essential libssl-dev sudo libreadline-dev libncurses5-dev libpcre3-dev libssl-dev perl make +apt-get install -y libpcre3-dev build-essential l...
bash
d_bash_17051
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash prep_ubuntu() { - apt-get update - apt-get -y upgrade + apt-get update + apt-get -y upgrade echo "** Preparing Ubuntu for kamikaze2 **" cd /opt/scripts/tools/ git pull @@ -32,7 +32,12 @@ apt-get update } -prep_ubuntu -remove_unneeded_packages -install_repo -reboot ...
bash
d_bash_17052
--- +++ @@ -17,6 +17,7 @@ # Convenience alias c='cd' alias gs='g s' +alias k='kubectl' alias l='ls -lhtr' alias la='ls -lhatr' alias ll='ls -lhtr'
bash
d_bash_17053
--- +++ @@ -1,16 +1,18 @@ #!/bin/bash set -eo pipefail -# usage: create a config.sh script, source it, and then run ./TRAIN.sh to train the model +# Use this script if you want to train and evaluate stage1 only (concept identification) + +# usage: create a config.sh script, source it, and then run ./TRAIN_STAGE1....
bash
d_bash_17054
--- +++ @@ -26,8 +26,8 @@ COLS="$COLS $(time_get $URL)" done echo "$COLS" >> frontpage.csv - # Minimum of 60 secs between polls - sleep 60 - # Plus some random delay - sleep $((RANDOM % 19)) + # Minimum of 500 secs between polls + sleep 500 + # Plus some random delay => Average is 600 seconds + sleep $((RANDOM...
bash
d_bash_17055
--- +++ @@ -3,8 +3,8 @@ sudo apt-get --force-yes install libopenal-dev libglew-dev libsdl2-static-dev libconfuse-dev libenet-dev libogg-dev libvorbis-dev cd travis/ -git clone https://github.com/omf2097/libShadowDive.git -git clone https://bitbucket.org/kode54/dumb.git +git clone --depth=1 https://github.com/omf2...
bash
d_bash_17056
--- +++ @@ -15,7 +15,7 @@ echo "Updating licenses to 20$YEAR" -pushd `git root` > /dev/null +pushd `git rev-parse --show-toplevel` > /dev/null find src/cake/app -type f -print0 | xargs -0 sed -i 's/\(Copyright\)\ 2010-20[0-9][0-9]\,\ \(Preface Design LTDA\)/\1\ 2010-20'$YEAR'\,\ \2/'
bash
d_bash_17057
--- +++ @@ -16,7 +16,6 @@ echo "Running '$@' in docker container '$DOCKER_IMAGE'..." docker run \ - -t \ -v $(pwd):/opt/bosh \ -e RUBY_VERSION \ -e DB \ @@ -26,7 +25,6 @@ -e http_proxy=$http_proxy \ -e https_proxy=$https_proxy \ -e no_proxy=$no_proxy \ - -e COLUMNS=80 \ $DOCKER_IMAGE \ $...
bash
d_bash_17058
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash -copy packages/oracledart/src/liboracledart_native_extension.so packages/oracledart/src/liboracledart_native_extension_bk.so -copy packages/oracledart/src/liboracledart_native_extension_12_1.so packages/oracledart/src/liboracledart_native_extension.so +cp packages/oracledart/src/l...
bash
d_bash_17059
--- +++ @@ -1,23 +1,20 @@ #!/usr/bin/env bash + +USERNAME="pi" +HOSTNAME="raspberrypi.local" + +REMOTE="$USERNAME@$HOSTNAME" set -ex -# Disable the site if enabled -rm -v /etc/nginx/sites-enabled/pi.simloovoo.com || true - # Copy nginx configuration -cp -vf pi.simloovoo.com.nginx.conf /etc/nginx/sites-availabl...
bash
d_bash_17060
--- +++ @@ -1,4 +1,4 @@ #!/bin/sh export DISPLAY=:1.0 Xvfb :1 -screen 0 1024x768x16 -ac & -/zap/zap.sh \$@ +/zap/zap.sh $@
bash
d_bash_17061
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh set -e -root="$(dirname ${0}})" +root="$(dirname $(readlink -f ${0}))" bustle_datadir="${root}" export bustle_datadir
bash
d_bash_17062
--- +++ @@ -15,7 +15,7 @@ echo "installing 'pipenv'" pip=pip command_available pip3 >/dev/null && pip=pip3 - $pip install pipenv + $pip install pipenv --user fi # set working dir
bash
d_bash_17063
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash set -ex SYNTH_SRC_ROOT="`dirname $0`" @@ -7,6 +7,22 @@ LLVM_LIB_ROOT="/usr/lib/llvm-3.9" STDTAGS="$SYNTH_BIN_ROOT/cppreference-doxygen-web.tag.xml" + +cat << EOF > template.html +<!DOCTYPE html> +<html> + <head> + <meta charset="utf-8"> + <meta ...
bash
d_bash_17064
--- +++ @@ -4,6 +4,7 @@ awk -F= 'BEGIN { TABLE_FMT = "%-21s | %-59s"; row = sprintf(TABLE_FMT, "ALIAS", "COMMAND"); + holdover; print row; gsub(".", "-", row); print row; @@ -13,7 +14,15 @@ # replace all multi-spaces with a single space gsub(/\s+/...
bash
d_bash_17065
--- +++ @@ -44,9 +44,12 @@ set datafile separator '\t' # Plot the data -plot 'data/$NAME.txt' every ::2 using 2:5 title 'Response time' with points +plot 'data/$NAME.txt' using 2:5 title 'Response time' with points EOF -echo "Generated plot from 'data/$NAME.txt' into 'graphs/$NAME.png'" +RET=$? +if [ $RET -e...
bash
d_bash_17066
--- +++ @@ -1,6 +1,9 @@ #!/bin/bash source $IROOT/java7.installed + +source $IROOT/lein.installed + export RESIN_HOME=${IROOT}/resin-4.0.41 # Path vars must be set here @@ -9,8 +12,8 @@ sed -i 's|:subname "//.*:3306|:subname "//'"${DBHOST}"':3306|g' hello/src/hello/models/schema.clj cd hello -$IROOT/lein/...
bash
d_bash_17067
--- +++ @@ -1,9 +1,21 @@ #!/bin/bash -# Adds public certs from Github to authorized_keys if not already added. +# Adds public certs from Github to authorized_keys mkdir -p "${HOME}/.ssh" if [ ! -f "${HOME}/.ssh/authorized_keys" ]; then touch "${HOME}/.ssh/authorized_keys" fi -curl -s https://github.com/ianle...
bash
d_bash_17068
--- +++ @@ -12,7 +12,7 @@ . ../../../config # run eventstore -docker run -d --net=host $eventstoreContainer.$build > eventstore_id +docker run -d --net=host $eventstoreContainer > eventstore_id # populate it populateCommand=`cat "../../../../src/server/Populate Event Store.bat"`
bash
d_bash_17069
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash submodpath() { SUB_PATH=${1} - for subdir in $(ls $SUB_PATH) + for subdir in $(ls "$MOD_ROOT/$SUB_PATH") do config="$MOD_ROOT/$SUB_PATH/$subdir/config" if [ -f $config ] ; then
bash
d_bash_17070
--- +++ @@ -21,11 +21,11 @@ exit_if_jenkins() { jenkins=$(pgrep java) - if [[ "$jenkins" -- "" ]]; then + if [[ "${jenkins}" == "" ]]; then echo "no java, no jenkins" return 0 fi - pstree $jenkins | grep -v java && echo "jenkins is running..." && exit 1 + pstree "${jenkins}" | grep -v java && e...
bash
d_bash_17071
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash if [[ -z "$(pidof i3lock)" ]]; then - i3lock -n -i ~/.i3/backgrounds/sloth.png --tiling & + i3lock -n -i ~/.i3/backgrounds/congruent_outline.png --tiling & else echo "i3lock is already running" fi
bash
d_bash_17072
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash -e + +### TODO if no user specified, just list all users' contributions # # Summary
bash
d_bash_17073
--- +++ @@ -10,31 +10,4 @@ echo "Installing SteamCMD" echo "=================================" sleep 1 -steamcmddir="${rootdir}/steamcmd" -if [ ! -f "${steamcmddir}/steamcmd.sh" ]; then - if [ ! -d "${steamcmddir}" ]; then - mkdir -v "${steamcmddir}" - fi - curl=$(curl --fail -o "${steamcmddir}/steamcmd_linux.tar...
bash
d_bash_17074
--- +++ @@ -20,7 +20,7 @@ unzip "$RELEASE_ZIP" pushd epgp -sed -i "s/@VERSION@/$1/" epgp.toc +sed -i -e "s/@VERSION@/$1/" epgp.toc popd zip -u -r "$RELEASE_ZIP" epgp/epgp.toc
bash
d_bash_17075
--- +++ @@ -1,5 +1,7 @@ #!/usr/bin/env bash ( + python -m pip install --upgrade pip + pip install --upgrade setuptools wheel twine cd ../ rm -r build/ dist/ django_qr_code.egg-info/ python setup.py check && python setup.py sdist && python setup.py bdist_wheel && twine upload dist/*
bash
d_bash_17076
--- +++ @@ -36,8 +36,6 @@ # Create the database. touch $projectPath/user.db mkdir $projectPath/userdata -# Make it writeable to the server's PHP scripts (all users). -chmod a+w $projectPath/user.db -chmod a+w $projectPath/userdata -chmod +777 $projectPath +# Make it writeable to the server's PHP scripts. +sudo cho...
bash
d_bash_17077
--- +++ @@ -17,6 +17,6 @@ -installsuffix netgo \ -tags netgo \ -o _tmp/${BINARY} \ - src/cmd/${BINARY}/main.go + src/server/cmd/${BINARY}/main.go docker-compose build ${IMAGE} docker tag -f pachyderm_${IMAGE}:latest pachyderm/${IMAGE}:latest
bash
d_bash_17078
--- +++ @@ -1,4 +1,9 @@ -cd /c/GitHub/CSharpToTypeScript/CSharpToTypeScript.Tests; \ +# These commands assume: +# sample.debug.cfg.json uses /c/new/ as an output directory +# /c/GitHub/ is the root for the solution directory + +rm -rf /c/new/; \ +cd /c/GitHub/CSharpToTypeScript/CSharpToTypeScript.Tests; \ do...
bash
d_bash_17079
--- +++ @@ -1,4 +1,3 @@ #!/bin/sh -curl -s https://appengine.google.com/api/updatecheck | grep release | awk -F '\"' '{print $2}' - +curl -s https://storage.googleapis.com/appengine-sdks/featured/VERSION | grep release | awk -F '\"' '{print $2}'
bash
d_bash_17080
--- +++ @@ -1,5 +1,5 @@ AIR_SDK=../../../AdobeAIRSDK STEAM_SDK=../../../Steam/sdk -export DYLD_LIBRARY_PATH="$STEAM_SDK/redistributable_bin/osx32" +export DYLD_FALLBACK_LIBRARY_PATH="$STEAM_SDK/redistributable_bin/osx32" "$AIR_SDK/bin/adl" -extdir ../../FRESteamWorksLib/bin/ FRESteamWorksTest-app.xml .
bash
d_bash_17081
--- +++ @@ -6,6 +6,7 @@ # # Clones or updates the ringpop-common repository. +# Runs `npm install` in ringpop-common/$1. # fetch-ringpop-common() { if [ ! -e "$ringpop_common_dir" ]; then
bash
d_bash_17082
--- +++ @@ -8,7 +8,7 @@ exit 1 fi -for TASK_ID in $(mistral task-list $UUID | egrep "key|ceph_install" | awk {'print $2'} | egrep -v 'ID|^$'); do +for TASK_ID in $(mistral task-list $UUID | egrep "ceph_install" | awk {'print $2'} | egrep -v 'ID|^$'); do echo $TASK_ID mistral task-get $TASK_ID m...
bash
d_bash_17083
--- +++ @@ -2,6 +2,7 @@ export SOURCES="$(pwd)/sources" export DORK_LIBRARY_PATH="$(pwd)/lib" +export DORK_PROXY_HTTPS_SIGNING="none" get() { curl --resolve $1:80:127.0.0.1 http://$1/$2
bash
d_bash_17084
--- +++ @@ -6,10 +6,13 @@ # set place to store virtualenvs export WORKON_HOME=~/.virtualenvs -case "$OSTYPE" in - linux*) . /usr/bin/virtualenvwrapper.sh ;; - darwin) . /usr/local/bin/virtualenvwrapper.sh ;; -esac +if WRAPPER=$(command -v virtualenvwrapper.sh) ; then + # https://github.com/NixOS/nixpkgs/issue...
bash
d_bash_17085
--- +++ @@ -5,10 +5,10 @@ # use the timestamp instead. SYSTEMDATE=$(/bin/date -u "+%4Y%2m%2d%2H%2M") -YEAR=$(cat /etc/timestamp | cut -b 9-12) -MONTH=$(cat /etc/timestamp | cut -b 1-2) -DAY=$(cat /etc/timestamp | cut -b 3-4) -TIME=$(cat /etc/timestamp | cut -b 5-8) +YEAR=$(cat /etc/timestamp | cut -b 1-4) +MONTH=...
bash
d_bash_17086
--- +++ @@ -1,12 +1,5 @@ #!/bin/bash CONTAINER=hal-wildfly -RUNNING=$(docker inspect --format="{{.State.Running}}" ${CONTAINER} 2> /dev/null) -RESTARTING=$(docker inspect --format="{{.State.Restarting}}" ${CONTAINER} 2> /dev/null) - -if [ "$RUNNING" == "true" ] || [ "$RESTARTING" == "true" ]; then - docker sto...
bash
d_bash_17087
--- +++ @@ -3,4 +3,5 @@ echo "Inject Google Maps API Keys" pwd -perl -pi -e 's/$(SolutionDir)/./g' ./XFGoogleMapSample.Droid.csproj +perl -pi -e 's/$(SolutionDir)/../g' ./XFGoogleMapSample.Droid.csproj +perl -pi -e 's/$(SolutionDir)/../g' ../XFGoogleMapSample/XFGoogleMapSample.csproj
bash
d_bash_17088
--- +++ @@ -16,9 +16,9 @@ echo "Checking for Ansible..." if test ! "$(which ansible)"; then echo "Installing ansible..." - brew install ansible + pip install ansible else - brew upgrade ansible > /dev/null 2>&1 + pip install ansible --upgrade > /dev/null 2>&1 fi # Print Python and Ansible versions
bash
d_bash_17089
--- +++ @@ -7,7 +7,7 @@ brew-upgrades() { echo-in-blue "Upgrading brew" brew update - brew upgrade --greedy + brew upgrade echo-in-blue "Upgrading mas" mas upgrade
bash
d_bash_17090
--- +++ @@ -15,8 +15,10 @@ if [ -n "$PGPASSWORD" ]; then CRON_ENV="$CRON_ENV\nPGPASSWORD=$PGPASSWORD" fi + echo -e "$CRON_ENV\n$CRON_SCHEDULE /dump.sh >> /var/log/cron.log 2>&1" echo -e "$CRON_ENV\n$CRON_SCHEDULE /dump.sh >> /var/log/cron.log 2>&1" | crontab - - exec cron -f + cron + ...
bash
d_bash_17091
--- +++ @@ -4,5 +4,8 @@ echo "Installing nix packages" $NIX_BIN_LOCATION/nix-channel --update $NIX_BIN_LOCATION/nix-env --upgrade - $NIX_BIN_LOCATION/nix-env -iA nixpkgs.bat nixpkgs.fzf nixpkgs.gitAndTools.delta nixpkgs.neovim nixpkgs.nodePackages.pyright nixpkgs.ripgrep nixpkgs.tmux + $NIX_BIN_L...
bash
d_bash_17092
--- +++ @@ -22,7 +22,7 @@ echo "ERROR: iperf-fetch.sh: tar failed" exit 1 } - cd iperf-2.0.2 && patch < ../iperf-patch || { + cd iperf-2.0.2 && patch -p0 < ../iperf-patch || { echo "ERROR: iperf-fetch.sh: patch failed" exit 1 }
bash
d_bash_17093
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash docker build -t lambda . -docker run --rm -v "$(pwd):/app" -w /app/.build/lambda lambda node -e 'var fs = require("fs");require("./").handler(JSON.parse(fs.readFileSync("../../session_start.json", "utf8")), {}, function(e, r) {if (e) {console.error(e);} else {console.log(r);}})...
bash
d_bash_17094
--- +++ @@ -26,7 +26,7 @@ sudo bash Miniconda3-latest-$tag-x86_64.sh -b -p /anaconda sudo chown -R $USER /anaconda export PATH=/anaconda/bin:$PATH -conda update -y conda +conda install -y conda=4.2.15 $SCRIPT_DIR/../simulate-travis.py --set-channel-order $SCRIPT_DIR/../simulate-travis.py --install-requirements
bash
d_bash_17095
--- +++ @@ -5,7 +5,7 @@ # Add the openc_bot to the Gemfile: if [ ! -f Gemfile ]; then echo "source 'https://rubygems.org'" >> Gemfile - echo "gem 'openc_bot', :git => 'https://github.com/openc/openc_bot.git', :branch => 'enumerators-and-iterators'" >> Gemfile + echo "gem 'openc_bot', :git => 'https://github.co...
bash
d_bash_17096
--- +++ @@ -1,11 +1,8 @@ #!/bin/bash -eux -docker run \ --t \ --i \ ---privileged \ --v /Users/pivotal/workspace/nfs-volume-release/:/nfs-volume-release \ --v /Users/pivotal/workspace/mapfs-release:/mapfs-release \ ---workdir=/ \ -bosh/main-bosh-docker \ -/nfs-volume-release/scripts/run-bosh-release-tests-in-docke...
bash
d_bash_17097
--- +++ @@ -4,6 +4,7 @@ ps auxwww | grep rub[y] | grep go_nuts | - awk '{ print $6 }' + awk '{ print $6 }' | perl -pse 's/\n/, /g' | perl -pse 's/, $//' + echo sleep 1 done
bash
d_bash_17098
--- +++ @@ -11,15 +11,32 @@ # Wait for docker wait_docker -# Save the cache echo "Saving docker image cache..." echo "You can now use your development server while the docker image cache is being saved." -# TODO: Save each image as a separate tar file -IMAGES=`docker images | awk '{print $1}' | grep -v '<none...
bash
d_bash_17099
--- +++ @@ -12,6 +12,9 @@ # Keep pinging sudo until this script finishes # Source: https://gist.github.com/cowboy/3118588 while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & + +# Refresh GPG keys before installing packages +make refresh-keys # Install PKGBUILDs make package=tari-cor...
bash